com.amazonaws.services.lambda.invoke

## Class LambdaInvokerFactory.Builder

- java.lang.Object
- - com.amazonaws.services.lambda.invoke.LambdaInvokerFactory.Builder

Enclosing class:
  LambdaInvokerFactory

    public static class LambdaInvokerFactory.Builder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`<T> T` `build(Class<T> interfaceClass)` Build a remote proxy of the given interface to make calls to AWS Lambda.
`LambdaInvokerFactory.Builder` `functionAlias(String functionAlias)` Sets the function alias to invoke.
`LambdaInvokerFactory.Builder` `functionVersion(String functionVersion)` Sets the function version to invoke.
`LambdaInvokerFactory.Builder` `lambdaClient(AWSLambda lambda)` Sets the client to use to call AWS Lambda.
`LambdaInvokerFactory.Builder` `lambdaFunctionNameResolver(LambdaFunctionNameResolver functionNameResolver)` Sets a new Function name resolver to override the default behavior.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### lambdaFunctionNameResolver

    public LambdaInvokerFactory.Builder lambdaFunctionNameResolver(LambdaFunctionNameResolver functionNameResolver)

Sets a new Function name resolver to override the default behavior.

Parameters:
  `functionNameResolver` - Implementation of `LambdaFunctionNameResolver`
Returns:
  The current object for method chaining.

#### functionAlias

    public LambdaInvokerFactory.Builder functionAlias(String functionAlias)

Sets the function alias to invoke. See Versioning & Aliases for more information on aliases.

Returns:
  This current object for method chaining.

#### functionVersion

    public LambdaInvokerFactory.Builder functionVersion(String functionVersion)

Sets the function version to invoke. See Versioning & Aliases for more information on function versions.

Returns:
  This current object for method chaining.

#### lambdaClient

    public LambdaInvokerFactory.Builder lambdaClient(AWSLambda lambda)

Sets the client to use to call AWS Lambda. If not set a default client is used (see `AWSLambdaAsyncClientBuilder.defaultClient()`).

Parameters:
  `lambda` - Client instance to use.
Returns:
  This current object for method chaining.

#### build

    public <T> T build(Class<T> interfaceClass)

Build a remote proxy of the given interface to make calls to AWS Lambda.

Type Parameters:
  `T` - Interface type.
Parameters:
  `interfaceClass` - Interface class to proxy.
Returns:
  This current object for method chaining.